> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the most recent bank income report

> Retrieves the most recent bank income report for the specified link. This endpoint returns the latest generated report containing transaction-based income analysis and verification data.



## OpenAPI

````yaml GET /v1/links/{link_id}/income/transactions/reports/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/income/transactions/reports/:
    parameters:
      - name: link_id
        in: path
        description: Link ID
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Income Report
      summary: Retrieve the most recent bank income report
      description: >-
        Retrieves the most recent bank income report for the specified link.
        This endpoint returns the latest generated report containing
        transaction-based income analysis and verification data.
      operationId: bank-income-report-retrieve-last
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankIncomeReport'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    BankIncomeReport:
      type: object
      properties:
        status:
          description: Status of the report.
          type: string
          example: success
          enum:
            - success
            - processing
          readOnly: true
        completed_at:
          description: Timestamp when the report was completed.
          type: string
          format: date-time
          readOnly: true
          nullable: true
          example: '2022-05-04T11:30:00Z'
        days_requested:
          description: >-
            The specific duration in days for which the report is requested to
            be generated.
          type: integer
          format: int32
          readOnly: true
          example: 60
        tracking_info:
          description: Additional optional identifier passed by user.
          type: string
          readOnly: true
          nullable: true
          maxLength: 255
        provider:
          description: Data provider ID.
          type: string
          readOnly: true
          maxLength: 64
        access_token:
          description: Access token of the existing link.
          type: string
          format: uuid
          readOnly: true
          example: 99dd17074ac94aa9ace2621d657c7610
          maxLength: 64
        companies:
          description: Names of the companies person works for.
          type: array
          items:
            type: string
          readOnly: true
        accounts:
          description: List of bank accounts
          type: array
          items:
            $ref: '#/components/schemas/BankIncomeAccount'
        income:
          description: List of bank income sources
          type: array
          items:
            $ref: '#/components/schemas/BankIncomeSource'
        summary:
          $ref: '#/components/schemas/BankIncomeSummary'
        is_suspicious:
          description: >-
            Flag to indicate if the data from the source is suspicious. E.g.
            fraud detected in uploaded documents or SSN of the user does not
            match with the data
          type: boolean
        pdf_report:
          description: URL of the PDF report file
          type: string
          nullable: true
          format: uri
          example: https://cdn.truv.com/report.pdf
      required:
        - status
        - completed_at
        - days_requested
        - provider
        - accounts
        - income
        - summary
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    BankIncomeAccount:
      type: object
      properties:
        id:
          description: Unique identifier of the account.
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
          maxLength: 32
        created_at:
          description: Date and time when the account was created in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: Date and time when the account was updated last time in Truv
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
        type:
          description: The parent type of the account, e.g., CHECKING or SAVINGS.
          type: string
          readOnly: true
          example: CHECKING
          maxLength: 255
        subtype:
          description: >-
            The account's subtype, e.g., PLAN_401_K, MONEY_MARKET, or
            HOME_EQUITY.
          type: string
          readOnly: true
          example: MONEY_MARKET
          nullable: true
          maxLength: 255
        mask:
          description: >-
            The masked banking account number associated with a particular
            account.
          type: string
          readOnly: true
          maxLength: 64
        nickname:
          description: An alternate name for the account.
          type: string
          readOnly: true
          example: My account
          maxLength: 255
          nullable: true
        days_available:
          description: >-
            Days of transaction history available at report generation time,
            from earliest transaction to report date (inclusive).
          type: integer
          readOnly: true
          example: 365
          minimum: 0
        owners:
          description: List of owners for account.
          type: array
          items:
            $ref: '#/components/schemas/AssetsOwner'
      required:
        - id
        - created_at
        - updated_at
    BankIncomeSource:
      required:
        - start_date
        - end_date
        - account_id
        - total_amount
        - transaction_count
        - historical_summary
        - avg_deposit_amount
      type: object
      properties:
        start_date:
          description: >-
            Minimum of all dates within the specific income sources in the
            user's bank account for days requested by the client.
          type: string
          format: date
          readOnly: true
          example: '2022-05-04'
        end_date:
          description: >-
            Maximum of all dates within the specific income sources in the
            user's bank account for days requested by the client.
          type: string
          format: date
          readOnly: true
          example: '2022-05-04'
        account_id:
          description: Unique identifier of the account.
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
          maxLength: 32
        income_description:
          description: Description for the underlying income transactions.
          type: string
          readOnly: true
          example: Paycheck
        income_category:
          description: The income category.
          type: string
          enum:
            - PAYCHECK
            - RETIREMENT
            - RENTAL
            - UNEMPLOYMENT
            - GOVERNMENT_EMPLOYMENT
            - GOVERNMENT_BENEFITS
            - PRIVATE_BENEFITS
            - EWA_PAYROLL
            - GIG_ECONOMY
            - P2P_TRANSFER
            - TAX_CREDITS
            - CASH_OR_CHECK
            - INTEREST
            - INVESTMENT
            - OTHER
          readOnly: true
          example: PAYCHECK
        pay_frequency:
          description: |+

            Pay frequency:

            * `M` - Monthly,
            * `SM` - Semi-Monthly,
            * `W` - Weekly,
            * `BW` - Bi-Weekly,
            * `A` - Annually,
            * `SA` - Semiannually,
            * `C` - Commission

          type: string
          enum:
            - M
            - SM
            - W
            - BW
            - A
            - SA
            - C
          readOnly: true
          example: SM
        next_payment_date:
          description: The next payment date for the income source.
          type: string
          format: date
          readOnly: true
          example: '2022-06-01'
        total_amount:
          description: >-
            Total amount of earnings for the income source of the user in the
            summary.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
        iso_currency_code:
          description: The ISO 4217 currency code of the amount or balance.
          type: string
          readOnly: true
          example: USD
        transaction_count:
          description: Number of income transactions per end user for this source.
          type: integer
          readOnly: true
          example: 1
        historical_summary:
          description: List of bank statements for each period.
          type: array
          items:
            type: object
            properties:
              start_date:
                description: >-
                  The start date of the period covered in this monthly summary.
                  This date will be the first day of the month, unless the month
                  being covered is a partial month because it is the first month
                  included in the summary and the date range being requested
                  does not begin with the first day of the month.
                type: string
                format: date
                readOnly: true
                example: '2022-05-04'
              end_date:
                description: >-
                  The end date of the period included in this monthly summary.
                  This date will be the last day of the month, unless the month
                  being covered is a partial month because it is the last month
                  included in the summary and the date range being requested
                  does not end with the last day of the month.
                type: string
                format: date
                readOnly: true
                example: '2022-05-04'
              total_amount:
                description: >-
                  Total amount of earnings for the income source of the user for
                  the month in the summary.
                type: string
                format: decimal
                readOnly: true
                example: '200.31'
              iso_currency_code:
                description: The ISO 4217 currency code of the amount or balance.
                type: string
                readOnly: true
                nullable: true
                example: USD
              transactions:
                description: List of transactions
                type: array
                items:
                  type: object
                  properties:
                    amount:
                      description: >-
                        The settled value of the transaction, denominated in the
                        transactions's currency as stated in iso_currency_code.
                        Negative values when money moves out of the account;
                        positive othervise.
                      type: string
                      format: decimal
                      readOnly: true
                      example: '200.31'
                    iso_currency_code:
                      description: The ISO 4217 currency code of the amount or balance.
                      type: string
                      readOnly: true
                      nullable: true
                      example: USD
                    date:
                      description: The date that the transaction occurred.
                      type: string
                      format: date
                      readOnly: true
                      example: '2022-05-04'
                    check_number:
                      description: The check number for the transaction.
                      type: string
                      readOnly: true
                      nullable: true
                      maxLength: 255
                    description:
                      description: A human-readable transaction description.
                      type: string
                      readOnly: true
                    pending:
                      description: True if status of the transaction is PENDING or not set.
                      type: boolean
                      readOnly: true
                    transaction_id:
                      description: Unique identifier of the transaction.
                      type: string
                      readOnly: true
                      maxLength: 32
                      example: 7d4fcb86b81a4880955beea558092391
        historical_average_monthly_income:
          description: >-
            Historical average income deposited into the account, per calendar
            month, typically net of taxes and deductions.
          type: string
          format: decimal
          readOnly: true
          example: '10000.00'
        historical_average_monthly_gross_income:
          description: >-
            Historical average gross payment amount, per calendar month,
            predicted based on the transaction data.
          type: string
          format: decimal
          readOnly: true
          example: '12000.00'
        forecasted_average_monthly_income:
          description: Forecasted income deposited into the account, per calendar month.
          type: string
          format: decimal
          readOnly: true
          example: '10000.00'
        avg_deposit_amount:
          description: >-
            The average amount received per deposit, typically net of taxes and
            deductions.
          type: string
          format: decimal
          readOnly: true
          example: '5000.00'
        avg_gross_deposit_amount:
          description: >-
            The average gross payment per deposit. Gross pay is predicted based
            on the transaction data.
          type: string
          format: decimal
          readOnly: true
          example: '6000.00'
    BankIncomeSummary:
      required:
        - start_date
        - end_date
        - income_sources_count
        - income_categories_count
        - income_transactions_count
        - total_amount
        - historical_average_monthly_gross_income
        - historical_average_monthly_income
        - forecasted_average_monthly_income
        - historical_annual_gross_income
        - historical_annual_income
        - forecasted_annual_income
      type: object
      properties:
        start_date:
          description: >-
            Minimum of all transaction dates among all income sources in the
            user's bank accounts for days requested by the client.
          type: string
          format: date
          readOnly: true
          example: '2022-05-04'
        end_date:
          description: >-
            Maximum of all transaction dates among all income sources in the
            user's bank accounts for days requested by the client.
          type: string
          format: date
          readOnly: true
          example: '2022-05-04'
        income_sources_count:
          description: Number of income sources per end user.
          type: integer
          readOnly: true
          example: 2
        income_categories_count:
          description: Number of income categories per end user.
          type: integer
          readOnly: true
          example: 1
        income_transactions_count:
          description: Number of income transactions per end user.
          type: integer
          readOnly: true
          example: 17
        total_amount:
          description: Total amount of earnings for the income of the user in summary.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
        iso_currency_code:
          description: The ISO 4217 currency code of the amount or balance.
          type: string
          readOnly: true
          example: USD
        historical_average_monthly_gross_income:
          description: >-
            Total monthly average gross income earned historically, over all
            sources. Gross amounts are estimated from transactions.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
        historical_average_monthly_income:
          description: Total monthly average income earned historically, over all sources.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
        forecasted_average_monthly_income:
          description: Total forecasted monthly average income, over all sources.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
        historical_annual_gross_income:
          description: Annualized gross income earned historically, over all sources.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
        historical_annual_income:
          description: Annualized income earned historically, over all sources.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
        forecasted_annual_income:
          description: Annualized forecasted income, over all sources.
          type: string
          format: decimal
          readOnly: true
          example: '200.31'
    AssetsOwner:
      type: object
      properties:
        id:
          description: Unique identifier of the owner.
          type: string
          format: string
          readOnly: true
          example: 2b623fa2fa9e49cea17d9692caa884c5
          maxLength: 64
        full_name:
          description: The account owner's name.
          type: string
          readOnly: true
          example: John Doe
          maxLength: 255
        email:
          description: The account owner's email address.
          type: string
          format: email
          nullable: true
          example: john.doe@example.com
        phone:
          description: The account owner's phone number.
          type: string
          nullable: true
          example: '14155554193'
        address:
          description: The account owner's address.
          type: object
          properties:
            street:
              description: Street
              type: string
              nullable: true
              example: 1 Morgan Ave
            city:
              description: City
              type: string
              nullable: true
              example: Los Angeles
            state:
              description: State
              type: string
              nullable: true
              example: CA
            zip:
              description: Zip code
              type: string
              nullable: true
              example: '90210'
            country:
              description: Country
              type: string
              nullable: true
              example: US
        relation_type:
          description: The relationship this person has to the account.
          type: string
          nullable: true
          example: PRIMARY
          enum:
            - PRIMARY
            - BUSINESS
            - JOINT
            - SECONDARY
            - AUTHORIZED_USER
            - FOR_BENEFIT_OF
            - ACCOUNT_BENEFICIARY
            - CUSTODIAN
            - OTHER
            - null
      required:
        - id
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````